com.h3c.dist.sync

## Class SyncServiceMultiOp

- java.lang.Object
- - com.h3c.dist.sync.SyncServiceMultiOp

- Direct Known Subclasses:
    SyncServiceMultiOp.CreateNode, SyncServiceMultiOp.DeleteNode, SyncServiceMultiOp.SetData

      public abstract class SyncServiceMultiOp
      extends Object

  Defines a single operation of a Multi operation. Subclasses are defined for each of the operation permitted in a multi transaction.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SyncServiceMultiOp.CreateNode`
    `static class` | `SyncServiceMultiOp.DeleteNode`
    `static class` | `SyncServiceMultiOp.SetData`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SyncServiceMultiOp.CreateNode` | `createNode(SyncServiceNodePath path, byte[] data, SyncServiceCreateMode mode)`
    `static SyncServiceMultiOp.DeleteNode` | `deleteNode(SyncServiceNodePath path)`
    `static SyncServiceMultiOp.DeleteNode` | `deleteNode(SyncServiceNodePath path, int version)`
    `SyncServiceMultiOpType` | `getOpType()`
    `SyncServiceNodePath` | `getPath()`
    `static SyncServiceMultiOp.SetData` | `setData(SyncServiceNodePath path, byte[] data)`
    `static SyncServiceMultiOp.SetData` | `setData(SyncServiceNodePath path, byte[] data, int version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPath

          public SyncServiceNodePath getPath()

    - #### getOpType

          public SyncServiceMultiOpType getOpType()

    - #### createNode

          public static SyncServiceMultiOp.CreateNode createNode(SyncServiceNodePath path,
                                                 byte[] data,
                                                 SyncServiceCreateMode mode)

    - #### deleteNode

          public static SyncServiceMultiOp.DeleteNode deleteNode(SyncServiceNodePath path)

    - #### deleteNode

          public static SyncServiceMultiOp.DeleteNode deleteNode(SyncServiceNodePath path,
                                                 int version)

    - #### setData

          public static SyncServiceMultiOp.SetData setData(SyncServiceNodePath path,
                                           byte[] data,
                                           int version)

    - #### setData

          public static SyncServiceMultiOp.SetData setData(SyncServiceNodePath path,
                                           byte[] data)

Copyright © 2014. All Rights Reserved.